import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';

interface Option {
    label: string;
    description: string;
    extraOptionLabel?: string;
}

export const redactTextTranslations: Record<'REDACT' | 'HINT', Record<'onlyHere' | 'inDossier', Option>> = {
    REDACT: {
        onlyHere: {
            label: _('redact-text.dialog.content.options.redact.only-here.label'),
            description: _('redact-text.dialog.content.options.redact.only-here.description'),
        },
        inDossier: {
            label: _('redact-text.dialog.content.options.redact.in-dossier.label'),
            description: _('redact-text.dialog.content.options.redact.in-dossier.description'),
            extraOptionLabel: _('redact-text.dialog.content.options.redact.in-dossier.extraOptionLabel'),
        },
    },
    HINT: {
        onlyHere: {
            label: _('redact-text.dialog.content.options.hint.only-here.label'),
            description: _('redact-text.dialog.content.options.hint.only-here.description'),
        },
        inDossier: {
            label: _('redact-text.dialog.content.options.hint.in-dossier.label'),
            description: _('redact-text.dialog.content.options.hint.in-dossier.description'),
            extraOptionLabel: _('redact-text.dialog.content.options.hint.in-dossier.extraOptionLabel'),
        },
    },
} as const;
